Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Interface BooksListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BooksListModel.CustomListDataListener, Defaults.DefaultsBookListener, SitePane.CustomBooksListener

    public interface BooksListener

extends EventListener

BiblesListeners are able to be notified about changes to the numbers of Bibles installed on the system.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: BooksListener.java,v 1.4 2004/02/04 09:52:53 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`void` | `bookAdded(BooksEvent ev)` Called whenever a new Bible is added to the system.
`void` | `bookRemoved(BooksEvent ev)` Called whenever a Bible is removed from the system.

Method Detail

### bookAdded

    void bookAdded(BooksEvent ev)

  Called whenever a new Bible is added to the system.

  Parameters:
    `ev` - A description of the change

### bookRemoved

    void bookRemoved(BooksEvent ev)

  Called whenever a Bible is removed from the system.

  Parameters:
    `ev` - A description of the change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD